### Signal

# Gdk Seat::tool-added

#### Declaration

    void
    tool_added (
      GdkSeat* self,
      GdkDeviceTool* tool,
      gpointer user_data
    )

#### Description [src]

Emitted whenever a new tool is made known to the seat.

The tool may later be assigned to a device (i.e. on proximity with a tablet). The device will emit the `GdkDevice::tool-changed` signal accordingly.

A same tool may be used by several devices.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`tool`

  Type: `GdkDeviceTool`

  The new `GdkDeviceTool` known to the seat.

  The data is owned by the caller of the function.